Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class ParserUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.ParserUtil

    public class ParserUtil

extends Object

Field Summary
`static String` | `PARSERS_UNIQUE_SESSION_ID`

Constructor Summary
`ParserUtil()`

Method Summary
`static String` | `getResourceName(com.hp.hpl.jena.rdf.arp.AResource resource)`
`static edu.stanford.smi.protege.model.framestore.SimpleFrameStore` | `getSimpleFrameStore(edu.stanford.smi.protege.model.Frame frame)`
`static edu.stanford.smi.protege.model.framestore.SimpleFrameStore` | `getSimpleFrameStore(edu.stanford.smi.protege.model.KnowledgeBase kb)`
`static void` | `resetUniqueSessionId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARSERS_UNIQUE_SESSION_ID

    public static String PARSERS_UNIQUE_SESSION_ID

Constructor Detail

### ParserUtil

    public ParserUtil()

Method Detail

### resetUniqueSessionId

    public static void resetUniqueSessionId()

### getResourceName

    public static String getResourceName(com.hp.hpl.jena.rdf.arp.AResource resource)

### getSimpleFrameStore

    public static edu.stanford.smi.protege.model.framestore.SimpleFrameStore getSimpleFrameStore(edu.stanford.smi.protege.model.KnowledgeBase kb)

### getSimpleFrameStore

    public static edu.stanford.smi.protege.model.framestore.SimpleFrameStore getSimpleFrameStore(edu.stanford.smi.protege.model.Frame frame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.